/*******************************************************************************
* File Name: FAN2.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_FAN2_H) /* Pins FAN2_H */
#define CY_PINS_FAN2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "FAN2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    FAN2_Write(uint8 value) ;
void    FAN2_SetDriveMode(uint8 mode) ;
uint8   FAN2_ReadDataReg(void) ;
uint8   FAN2_Read(void) ;
uint8   FAN2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define FAN2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define FAN2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define FAN2_DM_RES_UP          PIN_DM_RES_UP
#define FAN2_DM_RES_DWN         PIN_DM_RES_DWN
#define FAN2_DM_OD_LO           PIN_DM_OD_LO
#define FAN2_DM_OD_HI           PIN_DM_OD_HI
#define FAN2_DM_STRONG          PIN_DM_STRONG
#define FAN2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define FAN2_MASK               FAN2__MASK
#define FAN2_SHIFT              FAN2__SHIFT
#define FAN2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define FAN2_PS                     (* (reg8 *) FAN2__PS)
/* Data Register */
#define FAN2_DR                     (* (reg8 *) FAN2__DR)
/* Port Number */
#define FAN2_PRT_NUM                (* (reg8 *) FAN2__PRT) 
/* Connect to Analog Globals */                                                  
#define FAN2_AG                     (* (reg8 *) FAN2__AG)                       
/* Analog MUX bux enable */
#define FAN2_AMUX                   (* (reg8 *) FAN2__AMUX) 
/* Bidirectional Enable */                                                        
#define FAN2_BIE                    (* (reg8 *) FAN2__BIE)
/* Bit-mask for Aliased Register Access */
#define FAN2_BIT_MASK               (* (reg8 *) FAN2__BIT_MASK)
/* Bypass Enable */
#define FAN2_BYP                    (* (reg8 *) FAN2__BYP)
/* Port wide control signals */                                                   
#define FAN2_CTL                    (* (reg8 *) FAN2__CTL)
/* Drive Modes */
#define FAN2_DM0                    (* (reg8 *) FAN2__DM0) 
#define FAN2_DM1                    (* (reg8 *) FAN2__DM1)
#define FAN2_DM2                    (* (reg8 *) FAN2__DM2) 
/* Input Buffer Disable Override */
#define FAN2_INP_DIS                (* (reg8 *) FAN2__INP_DIS)
/* LCD Common or Segment Drive */
#define FAN2_LCD_COM_SEG            (* (reg8 *) FAN2__LCD_COM_SEG)
/* Enable Segment LCD */
#define FAN2_LCD_EN                 (* (reg8 *) FAN2__LCD_EN)
/* Slew Rate Control */
#define FAN2_SLW                    (* (reg8 *) FAN2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define FAN2_PRTDSI__CAPS_SEL       (* (reg8 *) FAN2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define FAN2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) FAN2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define FAN2_PRTDSI__OE_SEL0        (* (reg8 *) FAN2__PRTDSI__OE_SEL0) 
#define FAN2_PRTDSI__OE_SEL1        (* (reg8 *) FAN2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define FAN2_PRTDSI__OUT_SEL0       (* (reg8 *) FAN2__PRTDSI__OUT_SEL0) 
#define FAN2_PRTDSI__OUT_SEL1       (* (reg8 *) FAN2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define FAN2_PRTDSI__SYNC_OUT       (* (reg8 *) FAN2__PRTDSI__SYNC_OUT) 


#if defined(FAN2__INTSTAT)  /* Interrupt Registers */

    #define FAN2_INTSTAT                (* (reg8 *) FAN2__INTSTAT)
    #define FAN2_SNAP                   (* (reg8 *) FAN2__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins FAN2_H */


/* [] END OF FILE */
