/*******************************************************************************
* File Name: TACH1.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TACH1_H) /* Pins TACH1_H */
#define CY_PINS_TACH1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TACH1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TACH1_Write(uint8 value) ;
void    TACH1_SetDriveMode(uint8 mode) ;
uint8   TACH1_ReadDataReg(void) ;
uint8   TACH1_Read(void) ;
uint8   TACH1_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TACH1_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TACH1_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TACH1_DM_RES_UP          PIN_DM_RES_UP
#define TACH1_DM_RES_DWN         PIN_DM_RES_DWN
#define TACH1_DM_OD_LO           PIN_DM_OD_LO
#define TACH1_DM_OD_HI           PIN_DM_OD_HI
#define TACH1_DM_STRONG          PIN_DM_STRONG
#define TACH1_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TACH1_MASK               TACH1__MASK
#define TACH1_SHIFT              TACH1__SHIFT
#define TACH1_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TACH1_PS                     (* (reg8 *) TACH1__PS)
/* Data Register */
#define TACH1_DR                     (* (reg8 *) TACH1__DR)
/* Port Number */
#define TACH1_PRT_NUM                (* (reg8 *) TACH1__PRT) 
/* Connect to Analog Globals */                                                  
#define TACH1_AG                     (* (reg8 *) TACH1__AG)                       
/* Analog MUX bux enable */
#define TACH1_AMUX                   (* (reg8 *) TACH1__AMUX) 
/* Bidirectional Enable */                                                        
#define TACH1_BIE                    (* (reg8 *) TACH1__BIE)
/* Bit-mask for Aliased Register Access */
#define TACH1_BIT_MASK               (* (reg8 *) TACH1__BIT_MASK)
/* Bypass Enable */
#define TACH1_BYP                    (* (reg8 *) TACH1__BYP)
/* Port wide control signals */                                                   
#define TACH1_CTL                    (* (reg8 *) TACH1__CTL)
/* Drive Modes */
#define TACH1_DM0                    (* (reg8 *) TACH1__DM0) 
#define TACH1_DM1                    (* (reg8 *) TACH1__DM1)
#define TACH1_DM2                    (* (reg8 *) TACH1__DM2) 
/* Input Buffer Disable Override */
#define TACH1_INP_DIS                (* (reg8 *) TACH1__INP_DIS)
/* LCD Common or Segment Drive */
#define TACH1_LCD_COM_SEG            (* (reg8 *) TACH1__LCD_COM_SEG)
/* Enable Segment LCD */
#define TACH1_LCD_EN                 (* (reg8 *) TACH1__LCD_EN)
/* Slew Rate Control */
#define TACH1_SLW                    (* (reg8 *) TACH1__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TACH1_PRTDSI__CAPS_SEL       (* (reg8 *) TACH1__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TACH1_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TACH1__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TACH1_PRTDSI__OE_SEL0        (* (reg8 *) TACH1__PRTDSI__OE_SEL0) 
#define TACH1_PRTDSI__OE_SEL1        (* (reg8 *) TACH1__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TACH1_PRTDSI__OUT_SEL0       (* (reg8 *) TACH1__PRTDSI__OUT_SEL0) 
#define TACH1_PRTDSI__OUT_SEL1       (* (reg8 *) TACH1__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TACH1_PRTDSI__SYNC_OUT       (* (reg8 *) TACH1__PRTDSI__SYNC_OUT) 


#if defined(TACH1__INTSTAT)  /* Interrupt Registers */

    #define TACH1_INTSTAT                (* (reg8 *) TACH1__INTSTAT)
    #define TACH1_SNAP                   (* (reg8 *) TACH1__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins TACH1_H */


/* [] END OF FILE */
