/*******************************************************************************
* File Name: TACH2.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TACH2_H) /* Pins TACH2_H */
#define CY_PINS_TACH2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TACH2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    TACH2_Write(uint8 value) ;
void    TACH2_SetDriveMode(uint8 mode) ;
uint8   TACH2_ReadDataReg(void) ;
uint8   TACH2_Read(void) ;
uint8   TACH2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TACH2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TACH2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TACH2_DM_RES_UP          PIN_DM_RES_UP
#define TACH2_DM_RES_DWN         PIN_DM_RES_DWN
#define TACH2_DM_OD_LO           PIN_DM_OD_LO
#define TACH2_DM_OD_HI           PIN_DM_OD_HI
#define TACH2_DM_STRONG          PIN_DM_STRONG
#define TACH2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TACH2_MASK               TACH2__MASK
#define TACH2_SHIFT              TACH2__SHIFT
#define TACH2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TACH2_PS                     (* (reg8 *) TACH2__PS)
/* Data Register */
#define TACH2_DR                     (* (reg8 *) TACH2__DR)
/* Port Number */
#define TACH2_PRT_NUM                (* (reg8 *) TACH2__PRT) 
/* Connect to Analog Globals */                                                  
#define TACH2_AG                     (* (reg8 *) TACH2__AG)                       
/* Analog MUX bux enable */
#define TACH2_AMUX                   (* (reg8 *) TACH2__AMUX) 
/* Bidirectional Enable */                                                        
#define TACH2_BIE                    (* (reg8 *) TACH2__BIE)
/* Bit-mask for Aliased Register Access */
#define TACH2_BIT_MASK               (* (reg8 *) TACH2__BIT_MASK)
/* Bypass Enable */
#define TACH2_BYP                    (* (reg8 *) TACH2__BYP)
/* Port wide control signals */                                                   
#define TACH2_CTL                    (* (reg8 *) TACH2__CTL)
/* Drive Modes */
#define TACH2_DM0                    (* (reg8 *) TACH2__DM0) 
#define TACH2_DM1                    (* (reg8 *) TACH2__DM1)
#define TACH2_DM2                    (* (reg8 *) TACH2__DM2) 
/* Input Buffer Disable Override */
#define TACH2_INP_DIS                (* (reg8 *) TACH2__INP_DIS)
/* LCD Common or Segment Drive */
#define TACH2_LCD_COM_SEG            (* (reg8 *) TACH2__LCD_COM_SEG)
/* Enable Segment LCD */
#define TACH2_LCD_EN                 (* (reg8 *) TACH2__LCD_EN)
/* Slew Rate Control */
#define TACH2_SLW                    (* (reg8 *) TACH2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TACH2_PRTDSI__CAPS_SEL       (* (reg8 *) TACH2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TACH2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TACH2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TACH2_PRTDSI__OE_SEL0        (* (reg8 *) TACH2__PRTDSI__OE_SEL0) 
#define TACH2_PRTDSI__OE_SEL1        (* (reg8 *) TACH2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TACH2_PRTDSI__OUT_SEL0       (* (reg8 *) TACH2__PRTDSI__OUT_SEL0) 
#define TACH2_PRTDSI__OUT_SEL1       (* (reg8 *) TACH2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TACH2_PRTDSI__SYNC_OUT       (* (reg8 *) TACH2__PRTDSI__SYNC_OUT) 


#if defined(TACH2__INTSTAT)  /* Interrupt Registers */

    #define TACH2_INTSTAT                (* (reg8 *) TACH2__INTSTAT)
    #define TACH2_SNAP                   (* (reg8 *) TACH2__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins TACH2_H */


/* [] END OF FILE */
