/*******************************************************************************
* File Name: VR.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VR_H) /* Pins VR_H */
#define CY_PINS_VR_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VR_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    VR_Write(uint8 value) ;
void    VR_SetDriveMode(uint8 mode) ;
uint8   VR_ReadDataReg(void) ;
uint8   VR_Read(void) ;
uint8   VR_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define VR_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define VR_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define VR_DM_RES_UP          PIN_DM_RES_UP
#define VR_DM_RES_DWN         PIN_DM_RES_DWN
#define VR_DM_OD_LO           PIN_DM_OD_LO
#define VR_DM_OD_HI           PIN_DM_OD_HI
#define VR_DM_STRONG          PIN_DM_STRONG
#define VR_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define VR_MASK               VR__MASK
#define VR_SHIFT              VR__SHIFT
#define VR_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VR_PS                     (* (reg8 *) VR__PS)
/* Data Register */
#define VR_DR                     (* (reg8 *) VR__DR)
/* Port Number */
#define VR_PRT_NUM                (* (reg8 *) VR__PRT) 
/* Connect to Analog Globals */                                                  
#define VR_AG                     (* (reg8 *) VR__AG)                       
/* Analog MUX bux enable */
#define VR_AMUX                   (* (reg8 *) VR__AMUX) 
/* Bidirectional Enable */                                                        
#define VR_BIE                    (* (reg8 *) VR__BIE)
/* Bit-mask for Aliased Register Access */
#define VR_BIT_MASK               (* (reg8 *) VR__BIT_MASK)
/* Bypass Enable */
#define VR_BYP                    (* (reg8 *) VR__BYP)
/* Port wide control signals */                                                   
#define VR_CTL                    (* (reg8 *) VR__CTL)
/* Drive Modes */
#define VR_DM0                    (* (reg8 *) VR__DM0) 
#define VR_DM1                    (* (reg8 *) VR__DM1)
#define VR_DM2                    (* (reg8 *) VR__DM2) 
/* Input Buffer Disable Override */
#define VR_INP_DIS                (* (reg8 *) VR__INP_DIS)
/* LCD Common or Segment Drive */
#define VR_LCD_COM_SEG            (* (reg8 *) VR__LCD_COM_SEG)
/* Enable Segment LCD */
#define VR_LCD_EN                 (* (reg8 *) VR__LCD_EN)
/* Slew Rate Control */
#define VR_SLW                    (* (reg8 *) VR__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VR_PRTDSI__CAPS_SEL       (* (reg8 *) VR__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VR_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VR__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VR_PRTDSI__OE_SEL0        (* (reg8 *) VR__PRTDSI__OE_SEL0) 
#define VR_PRTDSI__OE_SEL1        (* (reg8 *) VR__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VR_PRTDSI__OUT_SEL0       (* (reg8 *) VR__PRTDSI__OUT_SEL0) 
#define VR_PRTDSI__OUT_SEL1       (* (reg8 *) VR__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VR_PRTDSI__SYNC_OUT       (* (reg8 *) VR__PRTDSI__SYNC_OUT) 


#if defined(VR__INTSTAT)  /* Interrupt Registers */

    #define VR_INTSTAT                (* (reg8 *) VR__INTSTAT)
    #define VR_SNAP                   (* (reg8 *) VR__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins VR_H */


/* [] END OF FILE */
