/*******************************************************************************
* File Name: SwitchInterrupt.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_SwitchInterrupt_H)
#define CY_ISR_SwitchInterrupt_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void SwitchInterrupt_Start(void);
void SwitchInterrupt_StartEx(cyisraddress address);
void SwitchInterrupt_Stop(void);

CY_ISR_PROTO(SwitchInterrupt_Interrupt);

void SwitchInterrupt_SetVector(cyisraddress address);
cyisraddress SwitchInterrupt_GetVector(void);

void SwitchInterrupt_SetPriority(uint8 priority);
uint8 SwitchInterrupt_GetPriority(void);

void SwitchInterrupt_Enable(void);
uint8 SwitchInterrupt_GetState(void);
void SwitchInterrupt_Disable(void);

void SwitchInterrupt_SetPending(void);
void SwitchInterrupt_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the SwitchInterrupt ISR. */
#define SwitchInterrupt_INTC_VECTOR            ((reg32 *) SwitchInterrupt__INTC_VECT)

/* Address of the SwitchInterrupt ISR priority. */
#define SwitchInterrupt_INTC_PRIOR             ((reg8 *) SwitchInterrupt__INTC_PRIOR_REG)

/* Priority of the SwitchInterrupt interrupt. */
#define SwitchInterrupt_INTC_PRIOR_NUMBER      SwitchInterrupt__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable SwitchInterrupt interrupt. */
#define SwitchInterrupt_INTC_SET_EN            ((reg32 *) SwitchInterrupt__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the SwitchInterrupt interrupt. */
#define SwitchInterrupt_INTC_CLR_EN            ((reg32 *) SwitchInterrupt__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the SwitchInterrupt interrupt state to pending. */
#define SwitchInterrupt_INTC_SET_PD            ((reg32 *) SwitchInterrupt__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the SwitchInterrupt interrupt. */
#define SwitchInterrupt_INTC_CLR_PD            ((reg32 *) SwitchInterrupt__INTC_CLR_PD_REG)


#endif /* CY_ISR_SwitchInterrupt_H */


/* [] END OF FILE */
